using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Thirdparty.VendorGroup.Cqrs;

public class CreateVendorGroupValidator : AbstractValidator<CreateVendorGroupRequest>
{
    public CreateVendorGroupValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Group Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Description)
            .MaximumLength(GlobalConsts.StringLengthMedium);
    }
}